/**
 * Třída CD představuje jedno cédéčko. Informace o cédéčku je možné
 * ukládat a získávat. K cédečku lze nastavit komentář a příznak o vlastnictví
 * kopie CD.
 * 
 * @author Michael Kolling and David J. Barnes
 * @author Luboš Pavlíček
 * @version září 2005
 */
public class CD
{
    private String titul;
    private String umelec;
    private int pocetSkladeb;
    private int delka;
    private boolean vlastnim;
    private String komentar;

    /**
     * Inicializace CD. Vlastnictví kopie CD je potřeba nastavit pomocí metody
     * setOwn.
     * 
     * @param titul         titul CD
     * @param umelec        umělec (zpěvák apod.)
     * @param pocetSkladeb  počet skladeb
     * @param delka         délka nahrávky v minutách
     */
    public CD(String titul, String umelec, int pocetSkladeb, int delka)
    {
        this.titul = titul;
        this.umelec = umelec;
        this.pocetSkladeb = pocetSkladeb;
        this.delka = delka;
        vlastnim = false;
        komentar = "<no comment>";
    }

    /**
     * Vlož komentář k nahrávce.
     * 
     * @param komentar   komentář k nahrávce
     */
    public void setComment(String komentar)
    {
        this.komentar = komentar;
    }

    /**
     * Vrací komentář k tomuto CD.
     * 
     * @return      komentář k CD
     */
    public String getComment()
    {
        return komentar;
    }

    /**
     * nastavení příznaku, zda vlastníme kopii CD.
     * 
     * @param    vlastnim   true, pokud vlastním nahrávku tohoto CD
     */
    public void setVlastnim(boolean vlastnim)
    {
        this.vlastnim = vlastnim;
    }

    /**
     * Vrací informaci, zda vlastníme kopii tohoto CD.
     * 
     * @return      true, pokud vlastníme kopii tohoto CD
     */
    public boolean getVlastnim()
    {
        return vlastnim;
    }

    /**
     * Vypíše informace o CD do textového okna.
     */
    public void print()
    {
        System.out.print("CD: " + titul + " (" + delka + " min)");
        if(vlastnim) {
            System.out.println("*");
        } else {
            System.out.println();
        }
        System.out.println("    " + umelec);
        System.out.println("    počet skladeb: " + pocetSkladeb);
        System.out.println("    " + komentar);
    }
}
